<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Edusion
 */

get_header();

edusion_single_banner();

$edusion_event_info_title = get_post_meta(get_the_ID(), '_edusion_event_info_title', true);
$edusion_event_time = get_post_meta(get_the_ID(), '_edusion_event_time', true);
$edusion_event_date = get_post_meta(get_the_ID(), '_edusion_event_date', true);
$edusion_event_vanue = get_post_meta(get_the_ID(), '_edusion_event_vanue', true);
$edusion_event_btn_text = get_post_meta(get_the_ID(), '_edusion_event_btn_text', true);
$edusion_event_btn_link = get_post_meta(get_the_ID(), '_edusion_event_btn_link', true);
$edusion_events_group_field_opt = get_post_meta(get_the_ID(), '_edusion_events_group_field_opt', true);

?>

		<!-- START EVENT -->
		<section class="our_event section-padding">
			<div class="container">
				<div class="row">	
					<div class="col-md-8 col-sm-8 col-xs-12">
						<div class="single_event_single">
							<?php the_post_thumbnail('edusion_event_signle');?>
							<div class="single_event_text_single">
								 <h3 class="evtitle"><?php the_title();?></h3>
								 <span><i class="fa fa-calendar"></i><?php echo esc_html($edusion_event_date);?></span>
								 <span><i class="fa fa-clock-o"></i><?php echo esc_html($edusion_event_time);?></span>
								 <span><i class="fa fa-map-marker"></i><strong><?php echo esc_html($edusion_event_vanue);?></strong></span>
								 <?php the_content();?>
							</div>

						</div><!--- END SINGLE EVENT -->
					</div><!--- END COL -->
					<div class="col-md-4 col-sm-4 col-xs-12">
						<div class="event_info">
							<?php if($edusion_event_info_title) : ?>
							<h3><?php echo esc_html($edusion_event_info_title);?></h3>
							<?php endif; ?>	
							<ul>
								<?php
									foreach ( (array) $edusion_events_group_field_opt as $key => $event_entry ) {

									$icon = $title = $details = '';

									if ( isset( $event_entry['_edusion_event_icon'] ) )
										$icon = $event_entry['_edusion_event_icon'];	

									if ( isset( $event_entry['_edusion_event_title'] ) )
										$title = $event_entry['_edusion_event_title'];
									
									if ( isset( $event_entry['_edusion_event_details'] ) )
										$details = $event_entry['_edusion_event_details'];	

									?>
						
									<li>
										<i class="<?php echo esc_attr($icon);?>"></i>
										<h4><?php echo esc_html($title);?></h4>
										<p><?php echo esc_html($details);?></p>
									</li>
								<?php } ?>							


							</ul>
							<?php if($edusion_event_btn_text) : ?>
							<div class="event_info_register">
								<a class="btn_one" href="<?php echo esc_url($edusion_event_btn_link);?>"><?php echo esc_html($edusion_event_btn_text);?></a>
							</div>
							<?php endif; ?>
						</div>
						
					</div><!--- END COL -->
				</div><!-- END ROW -->
			</div><!-- END CONTAINER -->
		</section>
		<!-- END EVENT -->

<?php get_footer(); ?>