<?php
/**
 * A single course loop
 *
 * @package Tutor\Templates
 * @subpackage CourseLoopPart
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.4.3
 */
 
$course_id         = get_the_ID();
$course_students   = apply_filters( 'tutor_course_students', tutor_utils()->count_enrolled_users_by_course( $course_id ), $course_id );
$course_duration    = get_tutor_course_duration_context( $course_id );
$course_categories = get_tutor_course_categories( $course_id );
$course_rating = tutor_utils()->get_course_rating( $course_id );
?>
			
<div class="course-slide">
	<div class="course-img">
		<?php the_post_thumbnail('edusion_course');?>
		<div class="course-date">
			<span class="month">
			<?php
					$price = tutor_utils()->get_course_price();
				if ( null === $price ) {
					esc_html_e( 'Free', 'edusion' );
				} else {
					echo wp_kses_post( tutor_utils()->get_course_price() );
				}
			?>							
			</span>
		</div>
	</div>
	<div class="course-content">
		<div class="c_btn2">
		<?php
		foreach ( $course_categories as $course_category ) {
			$category_link    = get_term_link( $course_category->term_id );

			?>
			<a class="c_btn" href="<?php echo esc_url($category_link);?>"><?php echo esc_html($course_category->name);?></a>
			
			<?php } ?>
		
		</div>
		<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
		<span><i class="fa fa-file-text"></i><?php echo edusion_wp_kses( tutor_utils()->get_lesson_count_by_course( $course_id ) . " Lessons", "edusion" ); ?></span>
		<span class="course_duration"><i class="fa fa-clock-o"></i><?php echo edusion_wp_kses($course_duration) ;?></span>
		<span><i class="fa fa-star"></i><?php echo esc_html($course_rating->rating_avg);?></span>
		<span><i class="fa fa-signal"></i><strong><?php echo get_tutor_course_level( get_the_ID() );?></strong></span>
		
	</div>
</div><!--END COURSE SLIDE -->					